I915_NEEDS_CMD_PARSE(9)

NAME
i915_needs_cmd_parser - should a given ring use software command parsing?

SYNOPSIS

bool i915_needs_cmd_parser(struct intel_engine_cs * ring);

ARGUMENTS

ring
    the ring in question

DESCRIPTION

Only certain platforms require software batch buffer command parsing, and only when enabled via module parameter.

RETURN

true if the ring requires software command parsing

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT